=== debian/changelog ===
dash (0.4.25) unstable; urgency=low

  * Fixed use-after-free bug in setvareq (Vladimir N. Oleynik).
  * Fixed value of expdest after _STPUTC in expandarg (closes: #238265).

 -- Herbert Xu <herbert@debian.org>  Thu, 18 Mar 2004 20:55:57 +1100

dash (0.4.24) unstable; urgency=low

  * Fixed segmentation fault when PWD is undefined.

 -- Herbert Xu <herbert@debian.org>  Tue,  9 Mar 2004 19:58:41 +1100

dash (0.4.23) unstable; urgency=low

  * Verify PWD before using it.

 -- Herbert Xu <herbert@debian.org>  Mon,  8 Mar 2004 20:12:27 +1100

dash (0.4.22) unstable; urgency=low

  * Read PWD from environment (closes: #228659).
  * Added Danish debconf translation (Claus Hindsgaul, closes: #233756).
  * Added check_gcc to support gcc 2.95 (closes: #235933).
  * Perform here-doc expansion on PS1/PS2/PS4 (closes: #230858).

 -- Herbert Xu <herbert@debian.org>  Sun,  7 Mar 2004 21:50:04 +1100

dash (0.4.21) unstable; urgency=low

  * Fixed typo that broke ulimit (GCS, closes: #228369).

 -- Herbert Xu <herbert@debian.org>  Mon, 19 Jan 2004 19:02:32 +1100

dash (0.4.20) unstable; urgency=low

  * Added Dutch debconf translation (Tim Dijkstra, closes: #218904).
  * Check existence RLIMIT symbols for ulimit.
  * Removed table lookup in errmsg.
  * Restored NULL check in cmdtxt.
  * Restored ash postrm to purge debconf entries (closes: #221913).
  * Fixed exit status of exit in EXIT trap (closes: #227734).
  * Updated Brazilian debconf translation (Andre Luis Lopes, closes: #228095).
  * Restored goodname check in prehash.

 -- Herbert Xu <herbert@debian.org>  Sat, 17 Jan 2004 09:57:14 +1100

dash (0.4.19) unstable; urgency=low

  * Fixed handling of evalskip in dotcmd (closes: #212975).
  * Updated Russian debconf translation (Ilgiz Kalmetev, closes: #214333).
  * Added Portugese debconf translation (Bruno Rodrigues, closes: #216214).
  * Updated Spanish debconf translation (Carlos Valdivia, closes: #216338).
  * Fixed length expansion of special variables (closes: #216767).
  * Replaced umask builtin with pdksh version.
  * Reverted bogus eval change in 0.3.1-20.
  * Added vmemory/locks support in ulimit.
  * Call install -D instead of cp for merged template.

 -- Herbert Xu <herbert@debian.org>  Wed, 29 Oct 2003 22:14:22 +1100

dash (0.4.18) unstable; urgency=low

  * Fixed boundary checks in getopts.
  * Updated Japanese debconf template (Tomohiro KUBOTA, closes: #192382).
  * Use -falign-* instead -malign-*.
  * Use strtoll for parsing integers in arith expansion.
  * Added support for add-shell/remove-shell (closes: #163131).
  * Fixed JOBS ifdefs in sprint_status (closes: #211009).
  * Fixed bit-wise or in arith expansion (Mototoshi KONDO, closes: #212825).
  * Print PS4 on previous stderr.
  * Converted debconf templates to gettext (Christian Perrier,
    closes: #200112).

 -- Herbert Xu <herbert@debian.org>  Sat, 27 Sep 2003 14:26:36 +1000

dash (0.4.17) unstable; urgency=low

  * Reset rehash when recylcing cmd entries.
  * Fixed null arg0 segfault with -c (closes: #191687).
  * Relocate job pointers in makejob (closes: #191595).

 -- Herbert Xu <herbert@debian.org>  Sat,  3 May 2003 20:57:46 +1000

dash (0.4.16) unstable; urgency=low

  * Fixed printf so that exit status is cleared on entry.
  * Call nextopt() in printf.
  * Fixed command substitution corruption by grabbing expdest in expbackq
    (closes: #187896).

 -- Herbert Xu <herbert@debian.org>  Mon,  7 Apr 2003 21:21:30 +1000

dash (0.4.15) unstable; urgency=low

  * Fixed octal escapes in echo/printf (closes: #187827).

 -- Herbert Xu <herbert@debian.org>  Sun,  6 Apr 2003 20:45:38 +1000

dash (0.4.14) unstable; urgency=low

  * Added missing newline when printing in dowait.
  * Do not print status in dowait when stopped.
  * Fixed job status display.
  * Fixed current job setting.
  * Fixed kill segfault with no arguments (closes: #187189).
  * Fixed sorting of set output.
  * Removed setvar builtin.

 -- Herbert Xu <herbert@debian.org>  Thu,  3 Apr 2003 20:38:33 +1000

dash (0.4.13) unstable; urgency=low

  * Fixed precision type on 64 bit systems in showvars.

 -- Herbert Xu <herbert@debian.org>  Wed, 26 Mar 2003 20:00:03 +1100

dash (0.4.12) unstable; urgency=low

  * Fixed dash_errno build problem with gcc 3.2.

 -- Herbert Xu <herbert@debian.org>  Tue, 25 Mar 2003 22:28:50 +1100

dash (0.4.11) unstable; urgency=low

  * Removed unused pgrp field from job structure.
  * Free jobs when calling wait with no arguments.
  * Fixed build problem with bison.
  * Merged changes from NetBSD 20030123.
   . printf:
    - Fixed mklong sefault.
    - Fixed precision/field width with %b.
   . Improved option parsing of command(1).
   . Added rudimentary support for PS4.
  * Moved builtin flags into builtins.def.
  * Updated Spanish debconf template (Carlos Valdivia Yage, closes: #178359).
  * Fixed ordering of redirection versus assignment substitution.
  * Fixed potential setvareq memory leaks.
  * Use bison instead of byacc.
  * Fixed wait(1) race condition.
  * Fixed alignment memory corruption bug in growstackblock().
  * Fixed potential memory corruption in parsing position parameters.
  * Fixed getopts done check.

 -- Herbert Xu <herbert@debian.org>  Mon, 24 Mar 2003 20:42:29 +1100

dash (0.4.10) unstable; urgency=low

  * Fixed redirection fd leak when execing.

 -- Herbert Xu <herbert@debian.org>  Sun, 19 Jan 2003 13:25:41 +1100

dash (0.4.9) unstable; urgency=low

  * Reset exitstatus in evalsubshell if backgnd is true.
  * Fixed glibc glob syntax error in expand.c.

 -- Herbert Xu <herbert@debian.org>  Sat, 11 Jan 2003 16:04:02 +1100

dash (0.4.8) unstable; urgency=low

  * Removed backgnd flag from ncmd due to previous redirection change.
  * Set lim after the stack stablises in updatepwd (closes: #173884).
  * Do not clobber the exitstatus after redirection.

 -- Herbert Xu <herbert@debian.org>  Mon, 23 Dec 2002 19:50:06 +1100

dash (0.4.7) unstable; urgency=low

  * Merged clearredir with reset code in redir.c.

