## dash 0.5.0

=== DESCRIPTION ===
Package: dash
Title: An Interface to the 'dash' Ecosystem for Authoring Reactive Web
        Applications
Version: 0.5.0
Authors@R: c(person("Chris", "Parmer", role = c("aut"), email = "chris@plotly.com"), person("Ryan Patrick", "Kyle", role = c("aut", "cre"), comment = c(ORCID = "0000-0001-5829-9867"), email = "ryan@plotly.com"), person("Carson", "Sievert", role = c("aut"), comment = c(ORCID = "0000-0002-4958-2844")), person("Hammad", "Khan", role = c("aut"), email = "hammadkhan@plotly.com"), person(family = "Plotly Technologies", role = "cph")) 
Description: A framework for building analytical web applications, 'dash' offers a pleasant and productive development experience. No JavaScript required.
Depends: R (>= 3.0.2)
Imports: dashHtmlComponents (== 1.0.3), dashCoreComponents (== 1.10.0),
        dashTable (== 4.7.0), R6, fiery (> 1.0.0), routr (> 0.2.0),
        plotly, reqres (>= 0.2.3), jsonlite, htmltools, assertthat,
        digest, base64enc, mime, crayon, brotli
Suggests: testthat
Collate: 'utils.R' 'dependencies.R' 'dash-package.R' 'dash.R'
        'imports.R' 'print.R' 'internal.R'
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
KeepSource: true
RoxygenNote: 7.1.0
URL: https://github.com/plotly/dashR
BugReports: https://github.com/plotly/dashR/issues
NeedsCompilation: no
Packaged: 2020-05-29 14:56:48 UTC; rpkyle
Author: Chris Parmer [aut],
  Ryan Patrick Kyle [aut, cre] (<https://orcid.org/0000-0001-5829-9867>),
  Carson Sievert [aut] (<https://orcid.org/0000-0002-4958-2844>),
  Hammad Khan [aut],
  Plotly Technologies [cph]
Maintainer: Ryan Patrick Kyle <ryan@plotly.com>
Repository: CRAN
Date/Publication: 2020-06-04 09:40:06 UTC
