## dash 0.5.8

=== debian/changelog ===
dash (0.5.8-2.10) unstable; urgency=medium

  [ Simon McVittie ]
  * Add an autopkgtest to verify that /bin/sh remains usable
    (Closes: #888259).

  [ Andrew Shadura ]
  * Add dash.preinst and friends to clean.
  * Document where the sources are and how to work with them
    in README.source.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 25 Jan 2018 08:14:33 +0100

dash (0.5.8-2.9) unstable; urgency=medium

  [ Sven Joachim ]
  * Non-maintainer upload.
  * Re-add the symlink for the sh manpage (Fully closes: #888235)

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 24 Jan 2018 08:19:41 +0100

dash (0.5.8-2.8) unstable; urgency=medium

  * Non-maintainer upload.
  * Ship a /bin/sh symlink (Closes: #888235).
  * Don't quote dh arguments needlessly.
  * Drop old irrelevant postinst/postrm bits, use dh-generated ones instead.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 24 Jan 2018 08:02:23 +0100

dash (0.5.8-2.7) unstable; urgency=medium

  [ James Cowgill ]
  * Non-maintainer upload.
  * Move dash from /usr/bin to /bin. (Closes: #888180)

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 23 Jan 2018 22:51:37 +0100

dash (0.5.8-2.6) unstable; urgency=medium

  * Non-maintainer upload.

  [ Marc Deslauriers ]
  * Drop privileges when euid != uid as a security measure
    (Closes: #734869, LP: #1215660)
    - debian/diff/9001-Add-privmode-Part-1.diff
    - debian/diff/9002-Add-privmode-Part-2.diff

  [ Jonathan Nieder ]
  * debian/dash.preinst:
    - rewrite in C (closes: #604873).
    - if dash's copy of /bin/sh is not already diverted, divert it
      on behalf of bash.  This ensures extracting a new version of
      dash does not overwrite /bin/sh and handling of that symlink
      is left to postinst.  Likewise for .../man/man1/sh.1.gz.
    - if /bin/sh is not executable (for example because it is a
      symlink to a nonexistent file), replace it with a symlink to
      dash.  Likewise for /usr/share/man/man1/sh.1.gz.
  * debian/dash.postinst:
    - remove workaround for dpkg bug #160848 ("dpkg-divert --remove"
      silently enabling --rename).  The dash package already depends
      on dpkg 1.15.0 or later, which has the fix.
    - respect local diversions.
    - clarify.

  [ Andrew Shadura ]
  * Refresh patches to apply cleanly.
  * Convert the package to 3.0 (quilt) format.
  * Use debhelper 10 (and debhelper at all!).
  * Move the git repository to Salsa.
  * Add gbp.conf and use DEP-14 branch naming.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 23 Jan 2018 15:13:35 +0100

dash (0.5.8-2.5) unstable; urgency=low

  * Non-maintainer upload.

  [ Reiner Herrmann ]
  * Improve build reproducibility: set LC_ALL instead of LC_COLLATE to C.

  [ HW42 ]
  * Improve build reproducibility: avoid exec call which embeds different paths
    between different system shells. (Closes: #825643)

 -- Ximin Luo <infinity0@debian.org>  Wed, 28 Jun 2017 18:26:52 +0200

dash (0.5.8-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't execute binary files as scripts. (Closes: #816313)
  * printf '\e' (Closes: #816295)
  * Fix bad permissions on dash.md5sums (Closes: #832173)

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 24 Jan 2017 06:16:56 +0100

dash (0.5.8-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by adding build-arch and build-indep targets to debian/rules.
    Thanks to Sven Joachim <svenjoac@gmx.de> for the initial patch.
    Closes: #829666

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 05 Jul 2016 21:59:04 +0000

dash (0.5.8-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply Jérémy Bobbio's patches to make dash reproducible.
    (Closes: #774425)

 -- Niels Thykier <niels@thykier.net>  Sat, 12 Mar 2016 09:05:01 +0000

dash (0.5.8-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Marcin Juszkiewicz ]
  * Ensure correct strip is called when cross-building (closes: #665965)

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 09 Jan 2016 18:35:21 +0100

dash (0.5.8-2) experimental; urgency=medium

  * debian/rules: pass --disable-lineno option to configure (thx Sven
    Joachim, closes: #766048).

 -- Gerrit Pape <pape@smarden.org>  Mon, 20 Oct 2014 17:46:03 +0000

dash (0.5.8-1) experimental; urgency=medium

  * new upstream release (closes: #598238).
    * 0003-VAR-Disable-LINENO-support.diff: remove; upstream now has
      configure --disable-lineno option.
  * debian/rules: pass --enable-fnmatch option to configure
    (closes: #763407).
  * debian/po/sr.po: new; [INTL:sr] Serbian cyrillic translation of
    debconf template (thx Zlatan Todoric, closes: #635069).

 -- Gerrit Pape <pape@smarden.org>  Wed, 01 Oct 2014 08:53:14 +0000

dash (0.5.7-4) unstable; urgency=low

  * Thx Michael Gilbert for NMU.
    * 0006-JOBS-address-format-security-build-error.diff: new: address
      format-security build error (patch from Simon Ruderich).
  * debian/rules: make DEB_BUILD_OPTIONS=diet build working again.
  * debian/diff/0007-EVAL-Report-I-O-error-on-stdout.diff: new: eval: report
    I/O error on stdout (closes: #690473).

 -- Gerrit Pape <pape@smarden.org>  Wed, 08 Jan 2014 11:54:11 +0000

dash (0.5.7-3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Enable build-hardening flags (closes: #662721).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 25 Dec 2013 13:46:03 -0500

dash (0.5.7-3) unstable; urgency=low

  [ Christian Perrier ]
  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
  * French (Julien Patriarca).  Closes: #638821
  * Indonesian (Mahyuddin Susanto).  Closes: #657111
  * Polish (Michał Kułach).  Closes: #658180
  * Romanian (Andrei POPESCU).  Closes: #660615
  * Turkish (Mert Dirik).  Closes: #661513

  [ Gerrit Pape ]
  * debian/control: Standards-Version: 3.9.3.0.

 -- Gerrit Pape <pape@smarden.org>  Thu, 01 Mar 2012 00:09:45 +0000

dash (0.5.7-2) unstable; urgency=high

  * debian/diff/:
    - 0004-BUILTIN-Fix-test-x-as-root...diff: new; teach "test -x"

