## dash 0.5.10.2

=== debian/changelog ===
dash (0.5.10.2-5) unstable; urgency=medium

  * Fix lintian overrides.
  * No longer check /bin/sh.distrib (Closes: #917313).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 17 Jan 2019 20:08:32 +0100

dash (0.5.10.2-4) unstable; urgency=medium

  * Move Gerrit to Uploaders since he’s going to be away for some time
    (Closes: #907085).
  * Add missing --no-rename in more places.
  * Handle the case when no package has diverted /bin/sh (Closes: #916900).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 20 Dec 2018 08:42:13 +0100

dash (0.5.10.2-3) unstable; urgency=medium

  [ You-Sheng Yang ]
  * Enable GitLab CI at Salsa.
  * debian/control: update Standard-Version to 4.2.1.
  * lintian: fix debhelper-but-no-misc-depends.
  * lintian: clean up debian/rules.

  [ Sven Joachim ]
  * Remove dash.preinst (Closes: #907132, #890073).

  [ Andrej Shadura ]
  * Use an explicit --no-rename of dpkg 1.19.1 (Closes: #890073, #916608).
  * Use sh_warnx, not warnx which is defined only in bltin.h.
  * Add #DEBHELPER# token to the prerm, ash.postrm, drop dash.postrm.
  * Add overrides for unusual-control-interpreter in prerm.
  * Delete no longer necessary ash.postinst (0.4.3 is no longer in the
    archive).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 19 Dec 2018 11:28:12 +0100

dash (0.5.10.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.
  * d/control: Add Vcs-* field.

  [ Guillaume Charifi ]
  * dash.preinst: copy(): Do not die if the destination does not exist
    (Closes: #916038).

  [ You-Sheng Yang ]
  * Enable large file support when available (Closes: #916255).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 12 Dec 2018 10:42:22 +0100

dash (0.5.10.2-1) unstable; urgency=medium

  * New upstream version 0.5.10.2.
    Closes: #332954, #379227, #503840, #571952,
            #550756, #700232, #794965, #837789,
            #878697, #888226.
  * Refresh patches.
  * Use #!/bin/dash for prerm and postinst scripts (Closes: #907133).
  * Fix the ash.1 manpage link.
  * Add Multi-Arch: foreign (Closes: #710277).
  * Don’t leak fd in the fix for binary execution (Closes: #816313).
  * Avoid crash when redirecting to file descriptor in expredir
    (Closes: #861354).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 04 Sep 2018 19:17:01 +0200
