=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#DH_VERBOSE = 1

DEB_BUILD_MAINT_OPTIONS =hardening=+all

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

ifneq (,$(findstring diet,$(DEB_BUILD_OPTIONS)))
  CC =diet -v -Os gcc
  CFLAGS =-nostdinc -Wall
  CPPFLAGS =
  LDFLAGS =
endif
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP =: strip
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-fnmatch --disable-lineno

override_dh_auto_build: po-templates
	dh_auto_build

po-templates:
	po2debconf debian/dash.templates.in >debian/dash.templates

.PHONY: po-templates  \
	  override_dh_auto_configure override_dh_auto_build
