=== debian/watch ===
version=3
http://gondor.apana.org.au/~herbert/dash/files/dash-([\d.]+)\.tar\.gz
