## dash 0.5.11+git20200708+dd9ef66+really0.5.11+git20200708+dd9ef66

=== debian/changelog ===
dash (0.5.11+git20200708+dd9ef66+really0.5.11+git20200708+dd9ef66-5ubuntu1) hirsute; urgency=medium

  * Rename orig tarball to bump version over 0.5.11+git20200708+dd9ef66+really0.5.10.2
    which was used to revert dash to an earlier version to avoid a behaviour
    change that was believed to be regression (Debian bug #974705 )

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 05 Jan 2021 17:47:12 +0100
