## dash 0.5.11+git20210120+802ebd4

=== debian/changelog ===
dash (0.5.11+git20210120+802ebd4-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:10:27 +0200

dash (0.5.11+git20210120+802ebd4-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop a patch applied upstream.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 04 Mar 2021 10:22:32 +0100
