## dash 0.5.11+git20210903+057cd650a4ed

=== debian/changelog ===
dash (0.5.11+git20210903+057cd650a4ed-3build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:49:23 +0100

dash (0.5.11+git20210903+057cd650a4ed-3) unstable; urgency=medium

  * Revert "Enable libedit".
  * Revert "Re-enable LINENO support".

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 03 Nov 2021 11:51:39 +0100

dash (0.5.11+git20210903+057cd650a4ed-2) unstable; urgency=medium

  * Re-enable LINENO support (Closes: #842242)/
  * Enable libedit (Closes: #524839, #561663).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 02 Nov 2021 12:58:31 +0100

dash (0.5.11+git20210903+057cd650a4ed-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 29 Oct 2021 09:21:09 +0200

dash (0.5.11+git20210120+802ebd4-2) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * Support DPKG_ROOT.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 23 Oct 2021 11:44:50 +0200
