=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dash
 Section: shells
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrej Shadura <andrewsh@debian.org>
+Maintainer: Andrej Shadura <andrewsh@debian.org>
 Uploaders: Gerrit Pape <pape@smarden.org>
 Build-Depends:
  debhelper-compat (= 12),
