=== debian/tests/control ===
Tests: smoke
Depends: dash, perl
Restrictions: allow-stderr
