=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Priority: required
 Pre-Depends: ${shlibs:Depends}
 Depends:
- debianutils (>= 2.15),
+ debianutils (>= 5.6-0.1),
  dpkg (>= 1.19.1),
  ${misc:Depends},
 Description: POSIX-compliant shell
