=== debian/tests/control ===
Tests: smoke
Depends: dash, perl
Restrictions: allow-stderr

Tests: mmdebstrap
Depends: mmdebstrap, fakechroot, fakeroot
Restrictions: allow-stderr
