## dash 0.5.12%2Bgit20240518%2Bf47009f9a76e

=== debian/watch ===
version=4

http://gondor.apana.org.au/~herbert/dash/files/dash-([\d.]+)\.tar\.gz

opts="mode=git, pgpmode=none, pretty=0.5.12+git%cd+%h, repack, compression=xz" \
 https://git.kernel.org/pub/scm/utils/dash/dash.git \
 HEAD
