## dash 0.5.12+git20240518+f47009f9a76e

=== debian/changelog ===
dash (0.5.12+git20240518+f47009f9a76e-2) experimental; urgency=medium

  [ Helmut Grohne ]
  * Move files from / to /usr to finalize /usr-merge.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 06 Jun 2024 09:31:50 +0200

dash (0.5.12+git20240518+f47009f9a76e-1) experimental; urgency=medium

  [ Andrej Shadura ]
  * New upstream snapshot.
  * Rebase and fold patches, drop patches applied upstream.

  [ Helmut Grohne ]
  * Don't leak host CFLAGS into build compiler invocation (Closes: #1057339)

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 19 May 2024 14:23:22 +0200

dash (0.5.12-7) unstable; urgency=medium

  [ Andrej Shadura ]
  * Drop obsolete ash package (Closes: #920644)
  * Bump debhelper from old 12 to 13.
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.2.
  * Upstream patch:
    - Implement pipefail option (Closes: #1071238)

  [ Luca Boccassi ]
  * Drop versioned dependencies satisfied since Buster (Closes: #1057323)

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 17 May 2024 17:12:12 +0200

dash (0.5.12-6) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/tests/mmdebstrap: use copy-host-apt-sources-and-preferences hook.
     - use the hook provided by mmdebstrap instead of cooking up our own
       thing, thus preventing code duplication
     - this also copies over apt pinning rules which were missing before

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 21 Jun 2023 13:28:50 +0200

dash (0.5.12-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * dash.postinst: fix installing with --path-exclude=/usr/share/man/*
    (Closes: #1038067)

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 17 Jun 2023 12:34:23 +0200

dash (0.5.12-4) unstable; urgency=medium

  * Upload to unstable.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 12 Jun 2023 16:17:05 +0200

dash (0.5.12-3) experimental; urgency=medium

  [ Andrej Shadura ]
  * Fix bug number in the patch description

  [ Helmut Grohne ]
  * dash.postinst: Remove upgrade path from pre-sarge ash. (Closes:
    #989419)
  * Remove unnecessary diversion in case /bin/sh points to dash. (Closes:
    #989632)

  [ Luca Boccassi ]
  * dash.postinst: remove unused function

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 30 Apr 2023 15:53:24 +0200
