=== debian/control ===
Source: dash
Section: shells
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Uploaders: Gerrit Pape <pape@smarden.org>
Build-Depends:
 debhelper-compat (= 13),
 po-debconf
Standards-Version: 4.6.2
Homepage: http://gondor.apana.org.au/~herbert/dash/
Vcs-Git: https://salsa.debian.org/debian/dash.git
Vcs-Browser: https://salsa.debian.org/debian/dash
Rules-Requires-Root: no

Package: dash
Architecture: any
Multi-Arch: foreign
Essential: yes
Priority: required
Pre-Depends: ${shlibs:Depends}
Depends:
 debianutils (>= 5.6-0.1),
 ${misc:Depends},
Description: POSIX-compliant shell
 The Debian Almquist Shell (dash) is a POSIX-compliant shell derived
 from ash.
 .
 Since it executes scripts faster than bash, and has fewer library
 dependencies (making it more robust against software or hardware
 failures), it is used as the default system shell on Debian systems.
