=== debian/rules ===
--- 
+++ 
@@ -30,4 +30,5 @@
 		--disable-lineno \
 		--disable-glob
 
+
 .PHONY: override_dh_auto_configure
