## dash 0.9.3

=== DESCRIPTION ===
Package: dash
Title: An Interface to the Dash Ecosystem for Authoring Reactive Web
        Applications
Version: 0.9.3
Authors@R: c(person("Chris", "Parmer", role = c("aut"), email = "chris@plotly.com"), person("Ryan Patrick", "Kyle", role = c("aut"), comment = c(ORCID = "0000-0001-5829-9867"), email = "ryan@plotly.com"), person("Carson", "Sievert", role = c("aut"), comment = c(ORCID = "0000-0002-4958-2844")), person("Hammad", "Khan", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-2479-9841"), email = "hammadkhan@plotly.com"), person(family = "Plotly Technologies", role = "cph"))
Description: A framework for building analytical web applications, Dash offers a pleasant and productive development experience. No JavaScript required.
Depends: R (>= 3.0.2)
Imports: R6, fiery (> 1.0.0), routr (> 0.2.0), plotly, reqres (>=
        0.2.3), jsonlite, htmltools, assertthat, digest, base64enc,
        mime, crayon, brotli, glue, magrittr, methods, rlang, utils
Suggests: testthat (>= 3.0.0), rstudioapi
License: MIT + file LICENSE
Encoding: UTF-8
KeepSource: true
RoxygenNote: 7.1.1
URL: https://github.com/plotly/dashR
BugReports: https://github.com/plotly/dashR/issues
NeedsCompilation: no
Packaged: 2021-11-07 07:24:06 UTC; hammadtheone
Author: Chris Parmer [aut],
  Ryan Patrick Kyle [aut] (<https://orcid.org/0000-0001-5829-9867>),
  Carson Sievert [aut] (<https://orcid.org/0000-0002-4958-2844>),
  Hammad Khan [aut, cre] (<https://orcid.org/0000-0003-2479-9841>),
  Plotly Technologies [cph]
Maintainer: Hammad Khan <hammadkhan@plotly.com>
Repository: CRAN
Date/Publication: 2021-11-07 08:00:05 UTC
